Skip to content

SymXInstance⁠

Perform various operations for Symitar parameters.

Operations⁠

getSymXInstanceSelectFields⁠

POST

Execute the persistent ParameterService getSymXInstanceSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXInstanceInstanceIdintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXInstanceSelectFields
POST /nexum/627/persistent/parameter/getSymXInstanceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SymXInstanceInstanceId": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllSymXInstanceFields": true,
    "SymXInstanceFields": {
      "CrudLoggingThreshold": true,
      "Description": true,
      "InstanceId": true,
      "InternalListSize": true,
      "InternalProviderKeyStore": true,
      "Name": true,
      "OtherLoggingThreshold": true,
      "PowerOnLoggingThreshold": true,
      "TokenValidity": true,
      "TransactionsLoggingThreshold": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSymXInstancePagedListSelectFields⁠

POST

Execute the persistent ParameterService getSymXInstancePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXInstancePagedListSelectFields
POST /nexum/627/persistent/parameter/getSymXInstancePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSymXInstanceFields": true,
    "SymXInstanceFields": {
      "CrudLoggingThreshold": true,
      "Description": true,
      "InstanceId": true,
      "InternalListSize": true,
      "InternalProviderKeyStore": true,
      "Name": true,
      "OtherLoggingThreshold": true,
      "PowerOnLoggingThreshold": true,
      "TokenValidity": true,
      "TransactionsLoggingThreshold": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSymXInstancePagedSelectFields⁠

POST

Execute the persistent ParameterService searchSymXInstancePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchSymXInstancePagedSelectFields
POST /nexum/627/persistent/parameter/searchSymXInstancePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSymXInstanceFields": true,
    "SymXInstanceFields": {
      "CrudLoggingThreshold": true,
      "Description": true,
      "InstanceId": true,
      "InternalListSize": true,
      "InternalProviderKeyStore": true,
      "Name": true,
      "OtherLoggingThreshold": true,
      "PowerOnLoggingThreshold": true,
      "TokenValidity": true,
      "TransactionsLoggingThreshold": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}